package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.baseError.QueryBaseErrorReq;
import org.wcs.model.po.app.AppBaseErrInfo;

import java.util.List;

public interface AppBaseErrInfoService extends IService<AppBaseErrInfo> {

    Tuple2<Long, List<AppBaseErrInfo>> queryBaseErrorList(QueryBaseErrorReq request, Integer pageSize, Integer pageIndex);
    List<AppBaseErrInfo> queryBaseErrorList(Integer equipmentType, String errCode);
    int addBaseError(AppBaseErrInfo baseErrorInfo);
    boolean addBaseErrorList(List<AppBaseErrInfo> baseErrorInfoList);
    int deleteBaseErrorByEquipmentType(Integer equipmentType);
    List<AppBaseErrInfo> queryById(String id);
    int deleteById(String id); // 根据ID删除
    int updateBaseError(AppBaseErrInfo baseErrorInfo); // 修改基础资料数据
    List<AppBaseErrInfo> queryByEquipmentTypeAndErrorCode(Integer equipmentType, String errCode);
}
